LibRareSpawns = {
}

local IMAGES = "Interface\\AddOns\\LibRareSpawns\\Images\\"

LibRareSpawns.NamesByZoneID = {
   SholazarBasin = {
      "Loque'nahak",
      "Aotona",
      "King Krush",
   },
   IcecrownGlacier = {
      "Hildana Deathstealer",
      "Putridus the Ancient",
      "High Thane Jorfus",
   },
   Dragonblight = {
      "Scarlet Highlord Daion",
      "Crazed Indu'le Survivor",
      "Tukemuth",
   },
   BoreanTundra = {
      "Fumblub Gearwind",
      "Old Crystalbark",
      "Icehorn",
   },
   HowlingFjord = {
      "Perobas the Bloodthirster",
      "King Ping",
      "Vigdis the War Maiden",
   },
   GrizzlyHills = {
      "Grocklar",
      "Syreian the Bonecarver",
      "Seething Hate",
   },
   ZulDrak = {
      "Griegen",
      "Zul'drak Sentinel",
      "Terror Spinner",
      "Gondria",
   },
   TheStormPeaks = {
      "Vyragosa",
      "Dirkee",
      "Time-Lost Proto Drake",
   },
   BladesEdgeMountains = {
      "Morcrush",
      "Speaker Mar'grom",
      "Hemathion",
   },
   Hellfire = {
      "Vorakem Doomspeaker",
      "Fulgorge",
      "Mekthorg the Wild",
   },
   Nagrand = {
      "Voidhunter Yar",
      "Goretooth",
      "Bro'Gaz the Clanless",
   },
   Netherstorm = {
      "Nuramoc",
      "Chief Engineer Lorthander",
      "Ever-Core the Punisher",
   },
   ShadowmoonValley = {
      "Collidus the Warp-Watcher",
      "Kraator",
      "Ambassador Jerrikar",
   },
   TerokkarForest = {
      "Crippler",
      "Doomsayer Jurim",
      "Okrek",
   },
   Zangarmarsh = {
      "Marticar",
      "Bog Lurker",
      "Coilfang Emissary",
   },
};

LibRareSpawns.ByNPCID = {
   [32517] = {
      ID = 32517,
      Zone = "Sholazar Basin",
      ZoneID = "SholazarBasin",
      Name = "Loque'nahak",
      Level = 76,
      MonsterType = "Beast",
      Health = 16502,
      Information = "Tameable (Spirit Beast)",
      Image = "|T"..IMAGES.."Loquenahak:512:1024|t",
      PortraitHeight = 512,
      PortraitWidth = 1024,
      Portrait = IMAGES.."Loquenahak"
   },
   [32481] = {
      ID = 32481,
      Name = "Aotona",
      Zone = "Sholazar Basin",
      ZoneID = "SholazarBasin",
      Level = 75,
      MonsterType = "Beast",
      Health = 15952,
      Information = "Tameable (Bird of Prey)",
      Image = "|T"..IMAGES.."Aotona:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Aotona",
   },
   [32485] = {
      ID = 32485,
      Name = "King Krush",
      Zone = "Sholazar Basin",
      ZoneID = "SholazarBasin",
      Level = 75,
      MonsterType = "Beast",
      Health = 42540,
      Information = "Tameable (Devilsaur)",
      Image = "|T"..IMAGES.."KingKrush:512:1024|t",
      PortraitHeight = 512,
      PortraitWidth = 1024,
      Portrait = IMAGES.."KingKrush",
   },
   [32495] = {
      ID = 32495,
      Name = "Hildana Deathstealer",
      Zone = "Icecrown Glacier",
      ZoneID = "IcecrownGlacier",
      Level = 80,
      MonsterType = "Undead",
      Health = 18900,
      Mana = 5991,
      Image = "|T"..IMAGES.."HildanaDeathstealer:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."HildanaDeathstealer",
   },
   [32487] = {
      ID = 32487,
      Name = "Putridus the Ancient",
      Zone = "Icecrown Glacier",
      ZoneID = "IcecrownGlacier",
      Level = 80,
      MonsterType = "Giant",
      Health = 75600,
      Image = "|T"..IMAGES.."PutridusTheAncient:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."PutridusTheAncient",
   },
   [32501] = {
      ID = 32501,
      Name = "High Thane Jorfus",
      Zone = "Icecrown Glacier",
      ZoneID = "IcecrownGlacier",
      Level = 80,
      MonsterType = "Undead",
      Health = 18900,
      Image = "|T"..IMAGES.."HighThaneJorfus:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."HighThaneJorfus",
   },
   [32417] = {
      ID = 32417,
      Name = "Scarlet Highlord Daion",
      Zone = "Dragonblight",
      ZoneID = "Dragonblight",
      Level = 73,
      MonsterType = "Humanoid",
      Health = 14919,
      Image = "|T"..IMAGES.."ScarletHighlordDaion:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."ScarletHighlordDaion"
   },
   [32409] = {
      ID = 32409,
      Name = "Crazed Indu'le Survivor",
      Zone = "Dragonblight",
      ZoneID = "Dragonblight",
      Level = 73,
      MonsterType = "Humanoid",
      Health = 14919,
      Image = "|T"..IMAGES.."CrazedInduleSurvivor:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."CrazedInduleSurvivor"
   },
   [32400] = {
      ID = 32400,
      Name = "Tukemuth",
      Zone = "Dragonblight",
      ZoneID = "Dragonblight",
      Level = 73,
      MonsterType = "Beast",
      Health = 39760,
      Image = "|T"..IMAGES.."Tukemuth:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Tukemuth"
   },
   [32358] = {
      ID = 32358,
      Name = "Fumblub Gearwind",
      Zone = "Borean Tundra",
      ZoneID = "BoreanTundra",
      Level = 71,
      MonsterType = "Mechanical",
      Health = 13936,
      Image = "|T"..IMAGES.."FumblubGearwind:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."FumblubGearwind"
   },
   [32357] = {
      ID = 32357,
      Name = "Old Crystalbark",
      Zone = "Borean Tundra",
      ZoneID = "BoreanTundra",
      Level = 71,
      MonsterType = "Elemental",
      Health = 13936,
      Mana = 3231,
      Image = "|T"..IMAGES.."OldCrystalbark:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."OldCrystalbark"
   },
   [32361] = {
      ID = 32361,
      Name = "Icehorn",
      Zone = "Borean Tundra",
      ZoneID = "BoreanTundra",
      Level = 71,
      MonsterType = "Beast",
      Health = 13936,
      Image = "|T"..IMAGES.."Icehorn:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Icehorn"
   },
   [32377] = {
      ID = 32377,
      Name = "Perobas the Bloodthirster",
      Zone = "Howling Fjord",
      ZoneID = "HowlingFjord",
      Level = 71,
      MonsterType = "Humanoid",
      Health = 13936,
      Image = "|T"..IMAGES.."PerobasTheBloodthirster:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."PerobasTheBloodthirster"
   },
   [32398] = {
      ID = 32398,
      Name = "King Ping",
      Zone = "Howling Fjord",
      ZoneID = "HowlingFjord",
      Level = 71,
      MonsterType = "Beast",
      Health = 13936,
      Image = "|T"..IMAGES.."KingPing:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."KingPing"
   },
   [32386] = {
      ID = 32386,
      Name = "Vigdis the War Maiden",
      Zone = "Howling Fjord",
      ZoneID = "HowlingFjord",
      Level = 71,
      MonsterType = "Humanoid",
      Health = 13936,
      Image = "|T"..IMAGES.."VigdisTheWarMaiden:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."VigdisTheWarMaiden"
   },
   [32422] = {
      ID = 32422,
      Name = "Grocklar",
      Zone = "Grizzly Hills",
      ZoneID = "GrizzlyHills",
      Level = 74,
      MonsterType = "Giant",
      Health = 41128,
      Image = "|T"..IMAGES.."Grocklar:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Grocklar"
   },
   [32438] = {
      ID = 32438,
      Name = "Syreian the Bonecarver",
      Zone = "Grizzly Hills",
      ZoneID = "GrizzlyHills",
      Level = 73,
      MonsterType = "Humanoid",
      Health = 41910,
      Image = "|T"..IMAGES.."SyreianTheBonecarver:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."SyreianTheBonecarver"
   },
   [32429] = {
      ID = 32429,
      Name = "Seething Hate",
      Zone = "Grizzly Hills",
      ZoneID = "GrizzlyHills",
      Level = 73,
      MonsterType = "Unspecified",
      Health = 41910,
      Image = "|T"..IMAGES.."SeethingHate:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."SeethingHate"
   },
   [32471] = {
      ID = 32471,
      Name = "Griegen",
      Zone = "ZulDrak",
      ZoneID = "ZulDrak",
      Level = 75,
      MonsterType = "Undead",
      Health = 15952,
      Image = "|T"..IMAGES.."Griegen:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Griegen"
   },
   [32447] = {
      ID = 32447,
      Name = "Zul'drak Sentinel",
      Zone = "ZulDrak",
      ZoneID = "ZulDrak",
      Level = 77,
      MonsterType = "Elemental",
      Health = 45516,
      Image = "|T"..IMAGES.."ZuldrakSentinel:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."ZuldrakSentinel"
   },
   [32475] = {
      ID = 32475,
      Name = "Terror Spinner",
      Zone = "ZulDrak",
      ZoneID = "ZulDrak",
      Level = 76,
      MonsterType = "Beast",
      Health = 16502,
      Image = "|T"..IMAGES.."TerrorSpinner:256:512|t",
      PortraitHeight = 256,
      PortraitWidth = 512,
      Portrait = IMAGES.."TerrorSpinner"
   },
   [33776] = {
      ID = 33776,
      Name = "Gondria",
      Zone = "ZulDrak",
      ZoneID = "ZulDrak",
      Level = 77,
      MonsterType = "Beast",
      Health = 17068,
      Information = "Tameable (Spirit Beast)",
      Image = "|T"..IMAGES.."Gondria:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Gondria"
   },
   [32630] = {
      ID = 32630,
      Name = "Vyragosa",
      Zone = "The Storm Peaks",
      ZoneID = "TheStormPeaks",
      Level = 80,
      MonsterType = "Dragonkin",
      Health = 18900,
      Image = "|T"..IMAGES.."Vyragosa:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Vyragosa"
   },
   [32500] = {
      ID = 32500,
      Name = "Dirkee",
      Zone = "The Storm Peaks",
      ZoneID = "TheStormPeaks",
      Level = 80,
      MonsterType = "Mechanical",
      Health = 50400,
      Mana = 3994,
      Image = "|T"..IMAGES.."Dirkee:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Dirkee"
   },
   [32491] = {
      ID = 32491,
      Name = "Time-Lost Proto Drake",
      Zone = "The Storm Peaks",
      ZoneID = "TheStormPeaks",
      Level = 80,
      MonsterType = "Dragonkin",
      Health = 18900,
      Image = "|T"..IMAGES.."TimeLostProtoDrake:512:1024|t",
      PortraitHeight = 512,
      PortraitWidth = 1024,
      Portrait = IMAGES.."TimeLostProtoDrake"
   },
   [18690] = {
      ID = 18690,
      Name = "Morcrush",
      Zone = "Blades Edge Mountains",
      ZoneID = "BladesEdgeMountains",
      Level = 68,
      MonsterType = "Giant",
      Health = 14981,
      Image = "|T"..IMAGES.."Morcrush:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Morcrush"
   },
   [18693] = {
      ID = 18693,
      Name = "Speaker Mar'grom",
      Zone = "Blades Edge Mountains",
      ZoneID = "BladesEdgeMountains",
      Level = 68,
      MonsterType = "Humanoid",
      Health = 10466,
      Mana = 8973,
      Image = "|T"..IMAGES.."SpeakerMargrom:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."SpeakerMargrom"
   },
   [18692] = {
      ID = 18692,
      Name = "Hemathion",
      Zone = "Blades Edge Mountains",
      ZoneID = "BladesEdgeMountains",
      Level = 68,
      MonsterType = "Dragonkin",
      Health = 13084,
      Image = "|T"..IMAGES.."Hemathion:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Hemathion"
   },
   [18679] = {
      ID = 18679,
      Name = "Vorakem Doomspeaker",
      Zone = "Hellfire",
      ZoneID = "Hellfire",
      Level = 62,
      MonsterType = "Demon",
      Health = 8548,
      Mana = 2568,
      Image = "|T"..IMAGES.."VorakemDoomspeaker:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."VorakemDoomspeaker"
   },
   [18678] = {
      ID = 18678,
      Name = "Fulgorge",
      Zone = "Hellfire",
      ZoneID = "Hellfire",
      Level = 62,
      MonsterType = "Unspecified",
      Health = 10682,
      Image = "|T"..IMAGES.."Fulgorge:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Fulgorge"
   },
   [18677] = {
      ID = 18677,
      Name = "Mekthorg the Wild",
      Zone = "Hellfire",
      ZoneID = "Hellfire",
      Level = 61,
      MonsterType = "Humanoid",
      Health = 10316,
      Image = "|T"..IMAGES.."MekthorgTheWild:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."MekthorgTheWild"
   },
   [18683] = {
      ID = 18683,
      Name = "Voidhunter Yar",
      Zone = "Nagrand",
      ZoneID = "Nagrand",
      Level = 68,
      MonsterType = "Demon",
      Health = 10466,
      Mana = 11964,
      Image = "|T"..IMAGES.."VoidhunterYar:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."VoidhunterYar"
   },
   [17144] = {
      ID = 17144,
      Name = "Goretooth",
      Zone = "Nagrand",
      ZoneID = "Nagrand",
      Level = 65,
      MonsterType = "Beast",
      Health = 11828,
      Information = "Tameable (Crocolisk)",
      Image = "|T"..IMAGES.."Goretooth:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Goretooth"
   },
   [18684] = {
      ID = 18684,
      Name = "Bro'Gaz the Clanless",
      Zone = "Nagrand",
      ZoneID = "Nagrand",
      Level = 66,
      MonsterType = "Humanoid",
      Health = 9784,
      Mana = 5692,
      Image = "|T"..IMAGES.."BroGazTheClanless:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."BroGazTheClanless"
   },
   [20932] = {
      ID = 20932,
      Name = "Nuramoc",
      Zone = "Netherstorm",
      ZoneID = "Netherstorm",
      Level = 70,
      MonsterType = "Beast",
      Health = 13972,
      Information = "Tameable (Chimera)",
      Image = "|T"..IMAGES.."Nuramoc:256:512|t",
      PortraitHeight = 256,
      PortraitWidth = 512,
      Portrait = IMAGES.."Nuramoc"
   },
   [18697] = {
      ID = 18697,
      Name = "Chief Engineer Lorthander",
      Zone = "Netherstorm",
      ZoneID = "Netherstorm",
      Level = 69,
      MonsterType = "Humanoid",
      Health = 10818,
      Mana = 15400,
      Image = "|T"..IMAGES.."ChiefEngineerLorthander:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."ChiefEngineerLorthander"
   },
   [18698] = {
      ID = 18698,
      Name = "Ever-Core the Punisher",
      Zone = "Netherstorm",
      ZoneID = "Netherstorm",
      Level = 68,
      MonsterType = "Elemental",
      Health = 10466,
      Mana = 5982,
      Image = "|T"..IMAGES.."EverCoreThePunisher:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."EverCoreThePunisher"
   },
   [18694] = {
      ID = 18694,
      Name = "Collidus the Warp-Watcher",
      Zone = "Shadowmoon Valley",
      ZoneID = "ShadowmoonValley",
      Level = 68,
      MonsterType = "Demon",
      Health = 13084,
      Image = "|T"..IMAGES.."CollidusTheWarpWatcher:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."CollidusTheWarpWatcher"
   },
   [18696] = {
      ID = 18696,
      Name = "Kraator",
      Zone = "Shadowmoon Valley",
      ZoneID = "ShadowmoonValley",
      Level = 68,
      MonsterType = "Demon",
      Health = 13084,
      Image = "|T"..IMAGES.."Kraator:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Kraator"
   },
   [18695] = {
      ID = 18695,
      Name = "Ambassador Jerrikar",
      Zone = "Shadowmoon Valley",
      ZoneID = "ShadowmoonValley",
      Level = 69,
      MonsterType = "Demon",
      Health = 13522,
      Image = "|T"..IMAGES.."AmbassadorJerrikar:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."AmbassadorJerrikar"
   },
   [18689] = {
      ID = 18689,
      Name = "Crippler",
      Zone = "Terokkar Forest",
      ZoneID = "TerokkarForest",
      Level = 65,
      MonsterType = "Undead",
      Health = 11828,
      Image = "|T"..IMAGES.."Crippler:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Crippler"
   },
   [18686] = {
      ID = 18686,
      Name = "Doomsayer Jurim",
      Zone = "Terokkar Forest",
      ZoneID = "TerokkarForest",
      Level = 64,
      MonsterType = "Humanoid",
      Health = 9144,
      Mana = 13525,
      Image = "|T"..IMAGES.."DoomsayerJurim:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."DoomsayerJurim"
   },
   [18685] = {
      ID = 18685,
      Name = "Okrek",
      Zone = "Terokkar Forest",
      ZoneID = "TerokkarForest",
      Level = 64,
      MonsterType = "Humanoid",
      Health = 9144,
      Mana = 13525,
      Image = "|T"..IMAGES.."Okrek:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Okrek"
   },
   [18680] = {
      ID = 18680,
      Name = "Marticar",
      Zone = "Zangarmarsh",
      ZoneID = "Zangarmarsh",
      Level = 63,
      MonsterType = "Beast",
      Health = 11054,
      Image = "|T"..IMAGES.."Marticar:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."Marticar"
   },
   [18682] = {
      ID = 18682,
      Name = "Bog Lurker",
      Zone = "Zangarmarsh",
      ZoneID = "Zangarmarsh",
      Level = 63,
      MonsterType = "Elemental",
      Health = 8844,
      Mana = 2620,
      Image = "|T"..IMAGES.."BogLurker:512|t",
      PortraitHeight = 512,
      PortraitWidth = 512,
      Portrait = IMAGES.."BogLurker"
   },
   [18681] = {
      ID = 18681,
      Name = "Coilfang Emissary",
      Zone = "Zangarmarsh",
      ZoneID = "Zangarmarsh",
      Level = 63,
      MonsterType = "Humanoid",
      Health = 8844,
      Mana = 10480,
      Image = "|T"..IMAGES.."CoilfangEmissary:512:256|t",
      PortraitHeight = 512,
      PortraitWidth = 256,
      Portrait = IMAGES.."CoilfangEmissary"
   },
}

LibRareSpawns.NPCIDByName = {
   ["Loque'nahak"] = 32517,
   ["Aotona"] = 32481,
   ["King Krush"] = 32485,
   ["Hildana Deathstealer"] = 32495,
   ["Putridus the Ancient"] = 32487,
   ["High Thane Jorfus"] = 32501,
   ["Scarlet Highlord Daion"] = 32417,
   ["Crazed Indu'le Survivor"] = 32409,
   ["Tukemuth"] = 32400,
   ["Fumblub Gearwind"] = 32358,
   ["Old Crystalbark"] = 32357,
   ["Icehorn"] = 32361,
   ["Perobas the Bloodthirster"] = 32377,
   ["King Ping"] = 32398,
   ["Vigdis the War Maiden"] = 32386,
   ["Grocklar"] = 32422,
   ["Syreian the Bonecarver"] = 32438,
   ["Seething Hate"] = 32429,
   ["Griegen"] = 32471,
   ["Zul'drak Sentinel"] = 32447,
   ["Terror Spinner"] = 32475,
   ["Gondria"] = 33776,
   ["Vyragosa"] = 32630,
   ["Dirkee"] = 32500,
   ["Time-Lost Proto Drake"] = 32491,
   ["Morcrush"] = 18690,
   ["Speaker Mar'grom"] = 18693,
   ["Hemathion"] = 18692,
   ["Vorakem Doomspeaker"] = 18679,
   ["Fulgorge"] = 18678,
   ["Mekthorg the Wild"] = 18677,
   ["Voidhunter Yar"] = 18683,
   ["Goretooth"] = 17144,
   ["Bro'Gaz the Clanless"] = 18684,
   ["Nuramoc"] = 20932,
   ["Chief Engineer Lorthander"] = 18697,
   ["Ever-Core the Punisher"] = 18698,
   ["Collidus the Warp-Watcher"] = 18694,
   ["Kraator"] = 18696,
   ["Ambassador Jerrikar"] = 18695,
   ["Crippler"] = 18689,
   ["Doomsayer Jurim"] = 18686,
   ["Okrek"] = 18685,
   ["Marticar"] = 18680,
   ["Bog Lurker"] = 18682,
   ["Coilfang Emissary"] = 18681,
}

